# $Revision: 1.118 $, $Date: 2007/01/23 15:43:38 $
%define		SSLVER		2.8.28
%define		APACHEVER	1.3.37
%define		apxs		/usr/sbin/apxs1
%define		mod_name	ssl
Summary:	An SSL module for the Apache Web server
Summary(cs):	Modul s podporou silnho ifrovn pro WWW server Apache
Summary(da):	Krypteringsunderstttelse for webtjeneren Apache
Summary(de):	SSL-Modul fr den Apache-Webserver
Summary(es):	Soporte criptofrfico para el servidor de WWW Apache
Summary(fr):	Un module SSL pour le serveur Web Apache
Summary(id):	Interpreter Perl untuk web server Apache
Summary(is):	Perl tlkur fyrir Apache vefjninn
Summary(it):	Supporto di crittografia per il server Web Apache
Summary(ja):	Apache Web СѤΰŹ極ݡ
Summary(nb):	Krypteringssttte for webtjeneren Apache
Summary(pl):	Modu SSL dla serwera WWW Apache
Summary(pt):	O suporte de cifra para o servidor Web Apache
Summary(ru):	  SSL  Apache
Summary(sl):	Podpora za ifriranje za spletni strenik Apache
Summary(sv):	Kryptografistd till webbservern Apache
Summary(uk):	 Ц SSL  Apache
Name:		apache1-mod_%{mod_name}
Version:	%{SSLVER}_%{APACHEVER}
Release:	4
License:	BSD
Group:		Networking/Daemons
Source0:	http://www.modssl.org/source/mod_%{mod_name}-%{SSLVER}-%{APACHEVER}.tar.gz
# Source0-md5:	5e9486a86fcd4efef395f58fd795aaea
Source1:	%{name}.conf
Source2:	%{name}-server.crt
Source3:	%{name}-server.key
Source4:	%{name}-sxnet.html
Source5:	%{name}.logrotate
Patch1:		mod_%{mod_name}-cca-openssl-path.patch
Patch2:		mod_%{mod_name}-db3.patch
Patch3:		%{name}-nohttpd.patch
URL:		http://www.modssl.org/
BuildRequires:	%{apxs}
BuildRequires:	apache1-devel = %{APACHEVER}
BuildRequires:	db-devel >= 4.1
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools >= 0.9.7d
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1-base >= %{APACHEVER}
# see the config
Requires:	apache1-mod_log_config
Requires:	apache1-mod_setenvif
Provides:	apache(mod_ssl) = %{version}-%{release}
Obsoletes:	apache-mod_ssl < 2
Obsoletes:	mod_ssl
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)
%define		_pkglogdir	%(%{apxs} -q PREFIX 2>/dev/null)/logs

%description
The mod_ssl project provides strong cryptography for the Apache 1.3
webserver via the Secure Sockets Layer (SSL v2/v3) and Transport Layer
Security (TLS v1) protocols by the help of the Open Source SSL/TLS
toolkit OpenSSL, which is based on SSLeay from Eric A. Young and Tim
J. Hudson.

The mod_ssl package was created in April 1998 by Ralf S. Engelschall
and was originally derived from software developed by Ben Laurie for
use in the Apache-SSL HTTP server project. The mod_ssl package is
licensed under a BSD-style licence, which basically means that you are
free to get and use it for commercial and non-commercial purposes.

%description -l cs
Modul mod_ssl pro WWW server Apache umouje pouit silnho ifrovn
komunikace klienta (WWW prohle) a serveru - SSL (Secure Sockets
Layer) a TLS (Transport Layer Security) protokoly.

%description -l de
Das mod_ssl-Projekt stellt kryptographie fr den Apache 1.3-Webserver
ber Secure Sockets Layer (SSL v2/v3) und Transport Layer Security
(TLS v1)-Protokolle zur Verfgung. Dazu wird das Open Source
SSL/TLS-Toolkit OpenSSL, das auf SSLeay basiert, verwendet.

%description -l es
El mdulo mod_ssl proporciona la criptografa para el servidor Web
Apache, los sockets seguros, los protocolos de la seguridad (SSL) y de
la capa tranparente (TLS).

%description -l fr
Le projet mod_ssl fournit de la forte cryptographie pour le serveur
web Apache 1.3 via les protocoles Secure Sockets Layer (SSL v2/v3) et
Transport Layer Security (TLS v1) avec l'aide du kit d'outils Open
Source SSL/TLS, OpenSSL, base sur SSLeay d'Eric A. Young et Tim J.
Hudson.

%description -l it
Il modulo mod_ssl fornisce un supporto di crittografia molto potente
per il server Web Apache tramite i protocolli SSL (Secure Sockets
Layer) e i protocolli TLS (Transport Layer Security).

%description -l ja
mod_ssl ⥸塼ϡSSL (Secure Sockets Layer)  TLS (Transport
Layer Security) ץȥ𤷤 Apache Web СѤζϤʰŹ沽
ǽ󶡤ޤ

%description -l pl
Projekt mod_ssl ma za zadanie zapewni serwerowi WWW Apache 1.3 wysoki
poziom szyfrowania dziki protokoom Secure Sockets Layer (SSL v2/v3)
i Transport Layer Security (TLS v1) przy pomocy pakiety narzdziowego
Open Source SSL/TSL -- OpenSSL, stworzonego na podstawie SSLeay Erica
A.Younga i Tima J.Hudsona.

%description -l pt
O mdulo mod_ssl oferece uma criptografia robusta para o servidor Web
Apache atravs dos protocolos SSL (Secure Sockets Layer) e TLS
(Transport Layer Security).

%description -l ru
Apache --        
  Internet' (   ,  50%%  
).       SSL v2, v3  TLS v1.

%description -l sv
Modulen mod_ssl frser webbservern Apache med stark kryptografi via
protokollen SSL (Secure Sockets Layer) och TLS (Transport Layer
Security).

%description -l uk
Apache --  צ   HTTP. 
Φ   צԦ (դ ¦   50%%
Ҧ).  Ӧ ͦ Ц SSL v2, v3  TLS v1.

%package devel
Summary:	Header files for mod_ssl
Summary(pl):	Pliki nagwkowe dla mod_ssl
Group:		Development/Building
Requires:	apache1-devel >= %{APACHEVER}

%description devel
Header files for mod_ssl.

%description devel -l pl
Pliki nagwkowe dla mod_ssl.

%package -n apache1-mod_sxnet
Summary:	Strong Extranet module for mod_ssl and apache
Summary(fr):	Module d'Extranet Fort pour Apache et mod_ssl
Summary(pl):	Modu Strong Extranet dla pakietu mod_ssl i serwera WWW Apache
Group:		Networking/Daemons
Requires(triggerpostun):	grep
Requires(triggerpostun):	sed >= 4.0
Requires:	apache1(EAPI) >= %{APACHEVER}
Obsoletes:	apache-mod_sxnet < 2

%description -n apache1-mod_sxnet
The Strong Extranet allows you to use digital certificates to
authenticate users on your web server. Typically, your users enroll in
your Strong Extranet, under your control, through the Thawte Personal
Cert System.

%description -n apache1-mod_sxnet -l fr
L'Extranet Fort vous permet d'utiliser des certificats numeriques pour
authentifier les usagers sur votre serveur web. Typiquement, vos
usagers s'enrolent dans votre Extranet Fort, sous votre controle, a
travers le Thawte Personal Cert System.

%description -n apache1-mod_sxnet -l pl
Pakiet Strong Extranet umoliwia uywanie cyfrowych certyfikatw dla
uwierzytelniania uytkownikw serwera WWW. Zwykle uytkownicy
rejestruj si pod opiek administratora poprzez Thawte Personal Cert
System.

%prep
%setup -q -n mod_%{mod_name}-%{SSLVER}-%{APACHEVER}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%{__perl} -pi -e 's@ /lib /usr/lib @ /%{_lib} /usr/%{_lib} @' pkg.sslmod/libssl.module

cd pkg.contrib
tar xvf sxnet.tar

%build
SSL_BASE=SYSTEM; export SSL_BASE
%configure \
	--with-apxs=%{apxs} \
	--enable-shared=ssl \
	--with-ssl=%{_prefix}

%{__make}

cd pkg.contrib/sxnet
%{apxs} -DMalloc=malloc -DFree=free -I%{_includedir}/openssl -L%{_libdir} -l ssl -l crypto -c mod_sxnet.c

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir}/mod_%{mod_name},%{_pkglibdir},%{_pkglogdir}} \
	$RPM_BUILD_ROOT%{_includedir}/apache1 \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d \
	$RPM_BUILD_ROOT/etc/logrotate.d

install pkg.sslmod/libssl.so $RPM_BUILD_ROOT%{_pkglibdir}
install pkg.contrib/sxnet/mod_sxnet.so $RPM_BUILD_ROOT%{_pkglibdir}

install pkg.contrib/*.sh $RPM_BUILD_ROOT%{_libdir}/mod_%{mod_name}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/40_mod_%{mod_name}.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/server.crt
install %{SOURCE3} $RPM_BUILD_ROOT%{_sysconfdir}/server.key
install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/apache1-mod_%{mod_name}

cp -a pkg.ssldoc ssl-doc

install %{SOURCE4} sxnet.html
echo 'LoadModule sxnet_module	modules/mod_sxnet.so' > \
	$RPM_BUILD_ROOT%{_sysconfdir}/conf.d/90_mod_sxnet.conf

install pkg.sslmod/*.h $RPM_BUILD_ROOT%{_includedir}/apache1

> $RPM_BUILD_ROOT%{_pkglogdir}/ssl_engine_log
> $RPM_BUILD_ROOT%{_pkglogdir}/ssl_request_log

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q apache restart

%postun
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%triggerpostun -- apache1-mod_ssl < 2.8.22_1.3.33-1.7
if grep -q '^Include conf\.d/\*\.conf' /etc/apache/apache.conf; then
	sed -i -e '
		/^Include.*mod_%{mod_name}.conf/d
	' /etc/apache/apache.conf
else
	# they're still using old apache.conf
	sed -i -e '
		s,^Include.*mod_%{mod_name}.conf,Include %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf,
	' /etc/apache/apache.conf
fi

%triggerpostun -- apache1-mod_sxnet < 2.8.22_1.3.33-1.9
# check that they're not using old apache.conf
if grep -q '^Include conf\.d' /etc/apache/apache.conf; then
	sed -i -e '/^\(Add\|Load\)Module.*mod_sxnet\.\(so\|c\)/d' /etc/apache/apache.conf
fi

%post -n apache1-mod_sxnet
%service -q apache restart

%postun -n apache1-mod_sxnet
if [ "$1" = "0" ]; then
	%service -q apache restart
fi

%files
%defattr(644,root,root,755)
%doc ANNOUNCE CHANGES CREDITS NEWS README* ssl-doc
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_ssl.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/server.crt
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/server.key
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/*
%attr(640,root,root) %ghost %{_pkglogdir}/*

%attr(755,root,root) %{_pkglibdir}/libssl.so

%dir %{_libdir}/mod_%{mod_name}
%attr(755,root,root) %{_libdir}/mod_%{mod_name}/*.sh

%files devel
%defattr(644,root,root,755)
%{_includedir}/apache1/*.h

%files -n apache1-mod_sxnet
%defattr(644,root,root,755)
%doc sxnet.html
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_sxnet.conf
%attr(755,root,root) %{_pkglibdir}/mod_sxnet.so

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache1-mod_ssl.spec,v $
Revision 1.118  2007/01/23 15:43:38  glen
- R: apache1-base instead of apache1; rel 4

Revision 1.117  2006/07/30 13:38:22  hawk
- - updated to 2.8.28-1.3.37, updated nohttpd patch

Revision 1.116  2006/06/15 18:44:20  glen
- rel 3

Revision 1.115  2006/05/23 23:08:20  glen
- rel 2

Revision 1.114  2006/05/23 23:06:11  qboosh
- fixed mod_sxnet postun

Revision 1.113  2006/05/22 11:42:03  qboosh
- updated to 2.8.27-1.3.36, updated nohttpd patch

Revision 1.112  2006/05/11 21:27:59  qboosh
- updated to 2.8.26-1.3.35, updated nohttpd patch

Revision 1.111  2006/03/27 09:34:13  glen
- more

Revision 1.110  2006/03/27 09:16:38  glen
- remove bogus quotes and newline escapes from descriptions
- rename logrotate file to have apache1 prefix
- rel 3

Revision 1.109  2006/03/07 12:15:23  glen
- use %service, use sed instead of apxs in trigger, rel 2

Revision 1.108  2005/12/13 18:01:46  glen
- adapterized (avoid macros with /usr/include/{ncurses,freetype}*)

Revision 1.107  2005/10/18 08:39:14  qboosh
- updated to 2.8.25-1.3.34

Revision 1.106  2005/10/07 16:31:19  glen
- add virtual apache(mod_ssl) provide

Revision 1.105  2005/09/22 10:44:00  glen
- unpack sources in %prep, cosmetics

Revision 1.104  2005/09/22 08:41:54  qboosh
- added CAN note to previous changelog entry

Revision 1.103  2005/09/21 16:51:01  glen
- 2.8.24
  [fixes CAN-2005-2700]

Revision 1.102  2005/09/17 01:23:44  glen
- correction for detecting conf.d apache support

Revision 1.101  2005/07/24 20:07:14  qboosh
- Obsoletes: apache-mod_{ssl,sxnet} < 2

Revision 1.100  2005/04/04 09:37:33  glen
- apache module deps

Revision 1.99  2005/02/16 17:52:15  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.98  2005/02/15 12:02:56  glen
- rel 2; STBR

Revision 1.97  2005/02/10 02:13:16  glen
- add ssl_{engine,request}_log to package

Revision 1.96  2005/02/10 01:49:21  glen
- updated trigger deps (including subpackage ones)
- use Requires apache, than awkward Conflicts apache
- cosmetics

Revision 1.95  2005/02/09 21:15:21  glen
- add trigger for mod_sxnet, improved mod_ssl trigger

Revision 1.94  2005/02/09 18:40:06  glen
- with confdir enabled apache1
- fix install reentrancy

Revision 1.93  2004/12/17 17:56:26  sparky
- Spanish summary/description fixes

Revision 1.92  2004/11/04 13:31:52  paladine
- spaces->tabs
- cosmetics

Revision 1.91  2004/10/31 09:58:09  qboosh
- updated to 2.8.22-1.3.33, updated nohttpd patch

Revision 1.90  2004/10/30 14:16:37  blues
- release 2 - make it build with apache 1.3.33

Revision 1.89  2004/10/29 09:02:00  paladine
- "HTTP" unification

Revision 1.88  2004/10/25 12:19:52  areq
- mod_ssl-2.8.21-1.3.32

Revision 1.87  2004/10/19 08:28:17  qboosh
- updated to 2.8.20 (fixes CAN-2004-0885)

Revision 1.86  2004/10/16 00:56:47  paladine
- www->WWW

Revision 1.85  2004/09/29 16:32:34  kolodko
- added macros in /etc/logrotate.d

Revision 1.84  2004/09/26 20:26:47  ankry
- spaces -> tabs

Revision 1.83  2004/09/26 20:05:06  radek
- release 3: unified, removed Provides:mod_ssl

Revision 1.82  2004/08/30 17:23:03  qboosh
- fixed -devel perms; release 3

Revision 1.81  2004/08/30 16:30:27  radek
- release 2: added -devel subpackage

Revision 1.80  2004/07/17 16:16:06  areq
- mod_ssl 2.8.19-1.3.31 Security Fix

Revision 1.79  2004/05/28 22:41:43  qboosh
- lib64 support, release 2

Revision 1.78  2004/05/28 07:28:16  areq
- 2.8.18-1.3.31: Security Fix

Revision 1.77  2004/05/12 15:21:35  qboosh
- updated to 2.8.17-1.3.31

Revision 1.76  2004/04/01 16:59:18  areq
- s/httpd/apache/ - build with apache > 1.3.29-3

Revision 1.75  2004/03/30 19:52:39  areq
- s/apache-mod_ssl/apache1-mod_ssl/

Revision 1.74  2004/03/19 23:46:22  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.73  2004/02/18 15:10:25  qboosh
- s/no/nb/ in Summary langs

Revision 1.72  2003/12/06 20:04:37  mwinkler
- updated SSLVER to 2.8.16, APACHEVER 1.3.29

Revision 1.71  2003/09/30 20:18:19  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.70  2003/08/22 15:33:14  ankry
- spaces -> tabs

Revision 1.69  2003/08/18 08:07:54  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.68  2003/08/06 16:12:29  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.67  2003/07/25 14:32:31  blues
- cosmetics

Revision 1.66  2003/07/25 12:11:21  qboosh
- updated to 2.8.15-1.3.28

Revision 1.65  2003/07/07 03:10:38  blues
- some small changes, inpired by kloczek

Revision 1.64  2003/05/26 16:24:19  malekith
- massive attack: adding Source-md5

Revision 1.63  2003/05/25 05:45:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.62  2003/03/21 19:17:59  misi3k
- updated to 2.8.14

Revision 1.61  2003/03/19 19:39:29  qboosh
- 2.8.13 (bugfixes; important security issue only when using vulnerable openssl)

Revision 1.60  2003/02/14 23:32:09  qboosh
- use db 4.x instead of db3
- updated mod_ssl.conf (/home/httpd -> /home/services/httpd)

Revision 1.59  2003/02/13 14:02:01  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.58  2003/01/28 13:02:55  qboosh
- security update to 2.8.12-1.3.27

Revision 1.57  2002/12/31 11:01:46  qboosh
- don't try to use .conf files from apache 2 package

Revision 1.56  2002/12/29 01:44:28  qboosh
- umask in scripts, other fixes/cosmetics where needed

Revision 1.55  2002/10/04 14:40:51  qboosh
- updated to 2.8.11 for apache 1.3.27

Revision 1.54  2002/06/27 07:36:29  qboosh
- SECURITY update to 2.8.10 (off by one up to 2.8.9)

Revision 1.53  2002/06/19 18:21:41  qboosh
- updated to 2.8.9-1.3.26
- new %doc

Revision 1.52  2002/06/19 10:38:32  qboosh
- allow build with apache 1.3.26 (seems to work), release 2

Revision 1.51  2002/05/25 10:27:41  kloczek
- updated to 2.8.8-1.3.24 (merge DEVEL branch).

Revision 1.50  2002/04/25 15:46:52  arturs
- fixed a small typo

Revision 1.49  2002/03/05 19:58:50  qboosh
- fixed undefined symbols (Malloc,Free) in mod_sxnet
- added post/preun for mod_sxnet
- release 2

Revision 1.48  2002/02/28 10:59:03  qboosh
- SECURITY update to 2.8.7-1.3.23

Revision 1.47  2002/02/23 01:23:23  kloczek
- adapterized.

Revision 1.46  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.45  2002/02/17 21:12:15  ankry
- release 3

Revision 1.44  2002/02/17 19:01:43  ankry
- added %{apxs} local macro to avoid adapter problems
- fix use of %{apxs} and %{_sbindir}/apxs
- added BR %{apxs} and Prereq %{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.43  2002/02/17 05:03:01  kloczek
- release 2.

Revision 1.42  2002/02/16 14:04:54  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.41  2002/02/10 21:06:50  kloczek
- adapterized.

Revision 1.40  2002/02/09 13:23:44  kloczek
- updated to 2.8.6-1.3.23: merge DEVEL branch to HEAD.

Revision 1.39  2002/01/18 02:12:21  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/11/26 17:06:13  blues
- typo

Revision 1.37  2001/11/24 01:18:59  kloczek
- added mod_ssl to Obsoletes/Provides for allow upgrade from RH vesion.

Revision 1.36  2001/10/18 13:46:31  mkierus
- updated to 2.8.5 (Apache 1.3.22)

Revision 1.35  2001/10/01 10:04:29  misiek
- release 2 (there are users which installed broken release 1)

Revision 1.34  2001/09/25 19:30:25  qboosh
- argh! db1 patch is out, updated db3 patch is back - httpd starts now

Revision 1.33  2001/09/24 15:04:22  zagrodzki
- updated to 2.8.4 (Apache 1.3.20)

Revision 1.32  2001/05/09 02:22:41  kloczek
- typo.

Revision 1.31  2001/05/09 02:06:41  kloczek
- updated to 2.8.3-1.3.19 and rebuild against openssl 0.9.6a.

Revision 1.30  2001/04/13 16:27:56  qboosh
- logrotate ssl_{engine,request}_log
- moved /home/httpd/html/docs/ssl-doc to %doc
- changed %postun to %preun and fixed - don't disable mod_ssl on upgrade
- release 4

Revision 1.29  2001/03/14 20:09:47  kloczek
- release 3.

Revision 1.28  2001/03/14 17:41:08  qboosh
- missing dir: %{_libdir}/mod_ssl

Revision 1.27  2001/03/08 08:26:50  kloczek
- release 2,
- require in mod_sxnet apache(EAPI) not apache,
- "apache(EAPI) = %{APACHEVER}" changed to "apache(EAPI) >= %{APACHEVER}".

Revision 1.26  2001/01/30 23:57:03  areq
- mod_ssl-2.8.0_1.3.17 NYF

Revision 1.25  2001/01/05 16:09:33  zagrodzki
- release 2
- fixed openssl path in cca.sh
- attr(755) on *.sh

Revision 1.24  2000/12/12 10:08:28  waszi
- apxs -> /usr/sbin/apxs

Revision 1.23  2000/11/24 18:25:51  kloczek
- s#apache-devel(EAPI)#apache(EAPI)-devel#

Revision 1.22  2000/11/24 18:09:37  kloczek
- added "BuildRequires: apache-devel(EAPI) = %{APACHEVER}".

Revision 1.21  2000/11/13 16:46:44  baggins
- updated to 2.7.1-1.3.14
- added db3 patch - solve dbm problem

Revision 1.20  2000/09/21 03:38:44  kloczek
- adapterized.

Revision 1.19  2000/09/20 07:34:29  zagrodzki
- BuildReq: openssl-tools

Revision 1.18  2000/09/18 20:31:22  areq
- updated mod_ssl to 2.6.6

Revision 1.17  2000/06/09 07:54:39  kloczek
- more %{__make} macros.

Revision 1.16  2000/05/17 21:01:20  kloczek
- spec adapterized.

Revision 1.15  2000/05/01 19:22:47  bonkey
- removed duplicated entry for ssl-doc

Revision 1.14  2000/05/01 19:19:34  bonkey
- added "/etc/httpd" to "Include mod_ssl.conf" in %post

Revision 1.13  2000/05/01 18:39:12  bonkey
- update to 2.6.4

Revision 1.12  2000/04/23 00:00:42  bonkey
- stupid, but dangerous bug in postun -- httpd.conf had been being destroyed
- documentation moved to _docdir with soft links to /home/httpd/html/docs
- cosmetics in BuildRequires

Revision 1.11  2000/04/20 22:27:00  bonkey
- updated to 2.6.3_1.3.12

Revision 1.10  2000/04/04 18:37:43  bonkey
- adapter'ized a little
- descriptions -l pl
- /home/httpd/html/* -> /home/httpd/html/docs (as in php4?)

Revision 1.9  2000/04/04 18:05:22  kloczek
- s#%{_libdir}/apache#%{_pkglibdir}#.

Revision 1.8  2000/04/04 18:01:22  kloczek
- fix: all %config files moved to /etc/httpd.

Revision 1.7  2000/04/04 00:42:37  kloczek
- added openssl-devel to BuildRequires.

Revision 1.6  2000/04/04 00:23:33  kloczek
- updated to 2.6.2,
- now build correctly but need testing.

Revision 1.5  2000/04/01 11:14:23  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:14  baggins
- translated kloczkish into english

Revision 1.3  2000/02/02 11:05:19  waszi
- small fixes in permissions for pam.d or init.d

Revision 1.2  1999/10/24 08:00:05  kloczek
- rewrited in PLD style,
- fixed %postun,
- sxnet subpackage changed to -n apache-mod_snex,
- updated to 2.4.6,
- added URL.

* Fri Jun 25 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.de>
- 2.3.5
- spec file cleanups

* Sat Jun 05 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- moved documentation in html
- rebuilt for the new optimized apache

* Sun May 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 2.3.1
- add fr locale
- added sxnet (Secure ExtraNet) package from Thawte

* Sun May 23 1999 Bernhard Rosenkrnzer <bero@mandrakesoft.com>
- handle RPM_OPT_FLAGS
- add de locale
- don't require openssl-devel
